<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : GoodsQnaDetailFormMob.html
 * @desc    : 상품 문의 등록 팝업
 *============================================================================
 * STYLE24
 * Copyright(C) 2020 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.04.04   eskim        최초 작성
 *******************************************************************************
 -->
<div class="modal-dialog" role="document">
<form id="goodsQnaDetailForm" name="goodsQnaDetailForm" action="#" th:action="@{'/callcenter/goods/qna/create'}">
		<input type="hidden" name="relGoodsCd" th:value ="${goodsCd}"/>
	<div class="modal-content">
		<div class="modal-header">
			<h5 class="modal-title" id="exampleFullLabel">상품 문의하기</h5>
		</div>
		<div class="modal-body">
			<div class="pop_cont">
				<div class="info_txt">
					<ul>
						<li>배송, 주문/결제, 취소/반품/교환/환불, 회원, 쿠폰/포인트, 이벤트 등의 자세한 문의사항은 고객센터 &gt; 1:1문의를 이용하여 주시기 바랍니다.</li>
						<li>상품문의에 부합하지 않는 광고, 이유없는 비방, 욕설 및 오해의 소지가 있는 문의건에 대해서는 사전 통보 없이 삭제 될 수 있습니다.</li>
						<li>답변은 마이페이지 &gt; 상품 문의에서 확인 하실 수 있습니다.</li>
					</ul>
				</div>
				<div class="form_field">
					<div class="input_box">
						<div class="input_wrap">
							<textarea id="exchange2" name="questContent" maxlength="500" style="resize: none;" placeholder="내용을 입력해 주세요 (필수)"></textarea>
							<p class="txt_cnt">
								<span id="exchange2-counter" class="c_primary">12</span> / 500
							</p>
						</div>           
						<div class="secret_box">
							<input id="wr_secret" type="checkbox" name="secretYn" value="Y"><label for="wr_secret"><span>비밀글설정</span></label>
						</div>
					</div> 
				</div>
				<div class="push_box">
					<dl>
						<dt>알림톡 수신 여부</dt>
						<dd>
							<div class="form_field">
								<div>
									<input type="radio" name="smsReqYn" id="rdi-push1" value="Y"  checked="checked">
									<label for="rdi-push1"><span>수신</span></label>
								</div>
								<div>
									<input type="radio" name="smsReqYn" id="rdi-push2" value="N">
									<label for="rdi-push2"><span>미수신</span></label>
								</div>
							</div>
						</dd>
					</dl>
				</div>
			</div>	
		</div>	
		<div class="modal-footer">
			<div class="btn_group_flex">
				<div><button type="button" class="btn btn_dark"  onclick="fnGoodsQnaSave();"><span>등록</span></button></div>
			</div>
		</div>
	</div>
</form>	
</div>
<a href="javascript:void(0);" rel="modal:close" onclick="cfCloseLayer('layer_goods_qna_reg')" class="close-modal">Close</a> 	
<script th:inline="javascript">
/*<![CDATA[*/

	$('#exchange2').keyup(function (e){
		var content = $(this).val();
		$('#exchange2-counter').html(content.length);
	});
	$('#exchange2').keyup();

	$('#exchange2').focus(function(){
		$(this).parent('.input_wrap').css('outline', '1px auto rgb(229, 151, 0)');
	})
	$('#exchange2').blur(function(){
		$(this).parent('.input_wrap').css('outline', 'none');
	})
	
	// 저장
	var fnGoodsQnaSave = function() {
		// 입력 값 체크
		if (gagajf.isNull($("#goodsQnaDetailForm  textarea[name=questContent]").val())){
			mcxDialog.alert("문의내용을 입력해주세요.");
			return false;
		}
		/* if($('#goodsQnaDetailForm textarea[name=questContent]').val().length<20){
			mcxDialog.alert("문의내용을 20자 이상 입력해주세요.");
			return;
		} */
		
		gagajf.ajaxFormSubmit($('#goodsQnaDetailForm').prop('action') , $('#goodsQnaDetailForm'), btnGoodsQnaSaveCallBack());
		
		/* mcxDialog.confirm("저장하시겠습니까?", {
			cancelBtnText: "취소",
			sureBtnText: "확인",
			sureBtnClick: function() {
				gagajf.ajaxFormSubmit($('#goodsQnaDetailForm').prop('action')
						, $('#goodsQnaDetailForm')
						, function() {
							mcxDialog.alert("상품 문의가 등록되었습니다. 빠른 시일 내에 답변드리겠습니다.");
						}
				);
			}
		}); */
		
	}

	var btnGoodsQnaSaveCallBack = function(){
		$('#layer_goods_qna_reg').find('.close-modal').trigger("click");
		//$('#layer_goods_qna').modal('show');
		setTimeout(fnGoodsQnaList, 100);  //딜상품상세 용
	}
	
	$(document).ready( function() {
		$("#goodsQnaDetailForm  textarea[name=questContent]").bind('input paste', function() {
			  $(this).trigger('keyup');
		});
	});
	
	
	
/*]]>*/
</script>
 </html>